package com.perforce.hive.browse;

import java.nio.file.Path;
import java.nio.file.Paths;

import com.perforce.p4java.core.file.IFileSpec;

public class BrowseDir {
	private final String name;
	private final String link;
	private final String path;

	public BrowseDir(IFileSpec spec, String base) {
		String dir = spec.toString();
		this.path = dir + "/...";

		dir = dir.replaceFirst("//", "");
		Path parts = Paths.get(dir);
		this.name = parts.getFileName().toString();

		this.link = base + name;
	}

	public String getName() {
		return name;
	}

	public String getLink() {
		return link;
	}

	public String getPath() {
		return path;
	}
	
	public String toString() {
		return getName() + " (" + getLink() + ")";
	}
}
