package com.perforce.hive.common;

import com.perforce.p4java.client.IClient;
import org.apache.commons.pool2.impl.DefaultPooledObject;

public class ClientPooledObject extends DefaultPooledObject<IClient> {


	public ClientPooledObject(IClient client) {
		super(client);
	}

	@Override
	public boolean equals(Object o) {
		if (this == o)
			return true;
		if (!(o instanceof ClientPooledObject))
			return false;

		ClientPooledObject that = (ClientPooledObject) o;

		if (clientID() != null ? !clientID().equals(that.clientID()) : that.clientID() != null)
			return false;

		return true;
	}

	@Override
	public int hashCode() {
		return clientID() != null ? clientID().hashCode() : 0;
	}

	private String clientID() {
		Object o = this.getObject();
		if( o instanceof IClient) {
			IClient client = (IClient)o;
			return client.getName();
		}
		return null;
	}
}
