package com.perforce.hive.plugin.vagrant;

import javax.servlet.http.HttpServletResponse;

import org.apache.http.HttpResponse;

import com.perforce.hive.api.artifact.ArtifactType;
import com.perforce.hive.store.DefaultStore;
import com.perforce.p4java.server.IOptionsServer;

import spark.Request;
import spark.Response;

public class VagrantRepository extends DefaultStore {

	public VagrantRepository(ArtifactType type) {
		super(type);
	}

	public VagrantRepository(Request request) {
		super(request);
	}

	@Override
	public String getSummaryPattern() {
		return "*.pom";
	}

	@Override
	public String getPath(Request request) {
		String path = toPath(request);
		path = mapExtension(path, ".orbit", ".jar");
		return path;
	}

	@Override
	public HttpServletResponse fetch(IOptionsServer p4, Request request, Response response) throws Exception {
		String path = getPath(request);
		return getFile(p4, path, response);
	}

	@Override
	public HttpResponse query(IOptionsServer p4, Request request, Response response) throws Exception {

		return null;
	}
}
